Project

bixby

0.01
There's a lot of open issues
No release in over a year
A Style Configuration for RuboCop
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies
 Project Readme

Bixby: I'd buy that for a dollar!

Apache 2.0 License Gem Version

Murphy Sketch

RuboCop Defaults for Samvera Community

To Use This

In your Gemfile:

gem 'bixby'

In your .rubocop.yml:

inherit_gem:
  bixby: bixby_default.yml

Versioning & Dependencies

This project depends on rubocop and rubocop-rspec. It supports versions of those gems pessimistically. Beginning with release 1.0.0, we will periodically add support for new versions of the dependencies and manage the included cops. When compatibility breaks, the major version of bixby will be bumped.

Our goal is to insulate downstream projects from breakage due to pre-1.0 version updates in rubocop.

License

Bixby is available under the Apache 2.0 license.

Releasing

  1. bundle install
  2. Increase the version number in bixby.gemspec
  3. Increase the same version number in .github_changelog_generator
  4. Update CHANGELOG.md by running this command:
github_changelog_generator --user samvera-labs --project bixby --token YOUR_GITHUB_TOKEN_HERE
  1. Commit these changes to the master branch
  2. Run rake release

Acknowledgments

This software has been developed by and is brought to you by the Samvera community. Learn more at the Samvera Community website.

The Alex J. Murphy sketch "logo" is courtesy of acid_lich, all rights reserved.